import { getSkinPath } from "../utils";

/**
 * 单条收支记录
 */
export default class FriendItem extends eui.Component {


    public LoadGroup:eui.Group;
    public mask_load_1:eui.Rect;
    public mask_load_2:eui.Rect;
    public load_1:eui.Image;
    public load_2:eui.Image;
    public photoGroup:eui.Group;
    public photoMask:eui.Rect;
    public photoImg:eui.Image;
    public addGroup:eui.Group;
    

    
 
    constructor(data?){
        super();
        this.skinName = getSkinPath('DogItem');
        this.touchChildren = true;
        this.init();
    }

    public init():void{
        this.load_1.mask=this.mask_load_1;
        this.load_2.mask=this.mask_load_2;
        this.photoImg.mask=this.photoMask;
    }

    setLv(lv){
       
    }
}